Bug 596096 - Upgrade JON2.3 to JON2.4 with Oracle 10g gives error on screen - SQLException: ORA-00911: invalid character
Upgrade JON2.3 to JON2.4 with Oracle 10g gives error on screen - SQLException...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
3.0.0
All Linux
medium Severity high (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Corey Welton
:
Depends On:
Blocks: rhq_triage 595286 595298
  Show dependency treegraph
 
Reported: 2010-05-26 06:04 EDT by Rajan Timaniya
Modified: 2010-08-12 12:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:44:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server log (26.81 KB, text/x-log)
2010-05-26 06:04 EDT, Rajan Timaniya
no flags Details
screenshot (66.12 KB, image/png)
2010-05-26 06:05 EDT, Rajan Timaniya
no flags Details

  None (edit)
Description Rajan Timaniya 2010-05-26 06:04:54 EDT
Created attachment 416753 [details]
server log

Description of problem:
Upgrade JON 2.3 to JON 2.4 (JON build #169) with Oracle 10g gives exception
(SQLException: ORA-00911: invalid character) on screen.

2010-05-26 15:09:02,256 FATAL [org.rhq.enterprise.installer.ServerInformation] Cannot upgrade the database schema - RHQ Server will not run properly
java.lang.RuntimeException: Cannot run ANT on script [/NotBackedUp/install/jon169/jon-server-2.4.0-SNAPSHOT/logs/db-upgrade.xml]. Cause: /NotBackedUp/install/jon169/jon-server-2.4.0-SNAPSHOT/logs/db-upgrade.xml:27: Failed to upgrade - error in spec version [2.87]. Cause: Error executing the task [org.rhq.core.db.ant.dbupgrade.SST_DirectSQL] in schema spec version [2.87]. Cause: The schema spec task [DirectSQL] has encountered an error. Cause: java.sql.SQLException: ORA-00911: invalid character

	at org.rhq.enterprise.installer.ServerInformation.startAnt(ServerInformation.java:781)
	at org.rhq.enterprise.installer.ServerInformation.upgradeExistingDatabaseSchema(ServerInformation.java:276)
	at org.rhq.enterprise.installer.ConfigurationBean.save(ConfigurationBean.java:723)
	...


Version-Release number of selected component (if applicable):
JON build #169 - Revision:  10621
http://hudson-qe.rhq.rdu.redhat.com:8080/job/jon/169/

How reproducible:
Always

Steps to Reproduce:
1) Install JON 2.3 with Oracle 10g
2) Install one more JON 2.3 server with same database  (High Availability)
3) Install/configure 3 rhq-agests
4) Perform operations on JON 2.3
 (i) Create alerts for platform, JBoss AS4, RHQ Agent, Compatible group (alert
condition is Free Memory > 0.1 OR Total Memory < 999999)
 (ii) Create groups (Mix, Compatible, Group defination)
 (iii)Content repository syncronization (for JBoss Patch)
 (iv) Create Roles and Users
 (v) Change INVENTORY -> CONNECTION of JBoss AS4 
 (vi)Change configuration values of 'RHQ Agent' and create 'History'
 (vii)Perform LDAP settings
 (viii)Create 'SCHEDULES' for 'View Process List' on platform
5) Upgrade JON 2.3 to JON 2.4 (JON build #169) - Complete installation process
6) Check server log for any database error/exception
  
Actual results:
Upgrade JON 2.3 to JON 2.4 with Oracle 10g gives error/exception
(SQLException: ORA-00911: invalid character) on screen.

Expected results:
Upgrade JON 2.3 to JON 2.4 should upgrade with all its data without any
error/exception.

Additional info:
Please refer attached server log.
Comment 1 Rajan Timaniya 2010-05-26 06:05:48 EDT
Created attachment 416755 [details]
screenshot
Comment 2 Rajan Timaniya 2010-05-26 09:25:43 EDT
Same error found while upgrading JON 2.3.1 to JON 2.4 (JON build #169) with Oracle 10g.
Comment 3 Jay Shaughnessy 2010-05-26 09:34:59 EDT
Fixed in b81e16180565b6d38bd87c439258dc030a1433bf
Comment 4 Rajan Timaniya 2010-05-27 05:37:42 EDT
Verified on JON build #170 - Revision: 10621

Observed that there is no - SQLException: ORA-00911: invalid character
Comment 5 Corey Welton 2010-08-12 12:44:41 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.